Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 592491 - [Intel 6.0 Bug] SATA errors - Can not install RHEL 6.0 beta on a Supermicro system
[Intel 6.0 Bug] SATA errors - Can not install RHEL 6.0 beta on a Supermicro s...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity medium
: beta
: 6.0
Assigned To: John Villalovos
Red Hat Kernel QE team
:
Depends On:
Blocks: 551128
  Show dependency treegraph
 
Reported: 2010-05-14 18:48 EDT by sibai.li
Modified: 2015-05-08 10:01 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 21:28:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (72.04 KB, text/plain)
2010-05-14 18:48 EDT, sibai.li
no flags Details
Redhat debug info when the unhandled exception error occured (160.07 KB, text/plain)
2010-05-14 18:49 EDT, sibai.li
no flags Details

  None (edit)
Description sibai.li 2010-05-14 18:48:28 EDT
Created attachment 414187 [details]
dmesg

Description of problem:
Can not install RHEL 6.0 beta, snapshot1, snapshot2 and snapshot3 on a Supermicro system. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Boot the RHEL6.0 installation DVD, follow the installation steps to install the RHEL6.0
2.On the page "what type of devices will your installation involve", choose either options, after the devices is selected, an unhandled exception has occured in the next step.
3.please see attached file for the debug info and dmesg

  
Actual results:


Expected results:


Additional info:
Comment 1 sibai.li 2010-05-14 18:49:34 EDT
Created attachment 414188 [details]
Redhat debug info when the unhandled exception error occured
Comment 3 Eric Sandeen 2010-05-16 13:37:40 EDT
I'm going to punt this over to anaconda, it's not clear to me that it's a kernel bug, at least the anaconda folks can read the trace and push it in the right direction if there is some other underlying problem.
Comment 4 Hans de Goede 2010-05-17 05:17:18 EDT
Hi,

I think I know what is going on here. You're doing a network installation with an
(older) installation dvd still in the drive.

Anaconda runs from a squashfs which is contained in a file called install.img
which ways in around 120 MB. Part way true the installation anaconda changes the file underlying the loopback mount of the squashfs to a copy of this file on the harddisk, this has 2 purposes:
1) Free up memory when booting from the network as until then the file
   lived in RAM
2) Allow unmounting the DVD when the loopback mount was done directly from the
   DVD

What I believe is happening here is that before and after this switchover a different version of install.img is used, which is not good.

Can you please try to remove any DVD's (or cdroms) from the system when doing a network installation, then you should no longer see this issue.

Thanks & Regards,

Hans
Comment 5 sibai.li 2010-05-17 11:16:21 EDT
This is not a network installation. It is just DVD installation.
Comment 6 Hans de Goede 2010-05-17 15:51:26 EDT
(In reply to comment #5)
> This is not a network installation. It is just DVD installation.    

Then it looks like your dvd or dvd-drive is defective. Have you tried the media
verification option ?
Comment 7 sibai.li 2010-05-17 17:24:43 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > This is not a network installation. It is just DVD installation.    
> Then it looks like your dvd or dvd-drive is defective. Have you tried the media
> verification option ?    

The dvd has no problem. I also did the media verification.
I can install the RHEL6.0 as a guest with the same DVD on the same machine. But can not install it as a host.
Comment 8 sibai.li 2010-05-17 17:25:55 EDT
(In reply to comment #7)
> (In reply to comment #6)
> > (In reply to comment #5)
> > > This is not a network installation. It is just DVD installation.    
> > Then it looks like your dvd or dvd-drive is defective. Have you tried the media
> > verification option ?    
> The dvd has no problem. I also did the media verification.
> I can install the RHEL6.0 as a guest with the same DVD on the same machine. But
> can not install it as a host.    
When RHEL6.0 installed as a guest, I am using RHEL5.5 as the host on the same DVD-drive
Comment 9 Hans de Goede 2010-05-18 04:04:12 EDT
I've looked one more time at all the logs, and I still cannot come to another conclusion then that there is an error accessing install.img, from syslog:

ata8.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
sr 8:0:0:0: CDB: Get configuration: 46 00 00 28 00 00 00 00 10 00
ata8.00: cmd a0/01:00:00:10:00/00:00:00:00:00/a0 tag 0 dma 16400 in
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata8.00: status: { DRDY }
ata8: hard resetting link
ata8: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata8.00: configured for UDMA/33
ata8: EH complete
ata8.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
sr 8:0:0:0: CDB: Get configuration: 46 00 00 28 00 00 00 00 10 00
ata8.00: cmd a0/01:00:00:10:00/00:00:00:00:00/a0 tag 0 dma 16400 in
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata8.00: status: { DRDY }
ata8: hard resetting link
ata8: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata8.00: configured for UDMA/33
ata8: EH complete

And this repeats a couple of times, and then:

sr1: CDROM (ioctl) error, command: Get configuration 46 00 00 28 00 00 00 00 10
sr: Sense Key : Aborted Command [current] [descriptor]
sr: Add. Sense: No additional sense information
VFS: busy inodes on changed media or resized disk sr1
VFS: busy inodes on changed media or resized disk sr1
VFS: busy inodes on changed media or resized disk sr1
SQUASHFS error: squashfs_read_data failed to read block 0x4480662
SQUASHFS error: Unable to read data cache entry [4480662]
SQUASHFS error: Unable to read page, block 4480662, size 4514
SQUASHFS error: Unable to read data cache entry [4480662]
SQUASHFS error: Unable to read page, block 4480662, size 4514
SQUASHFS error: Unable to read data cache entry [4480662]
SQUASHFS error: Unable to read page, block 4480662, size 4514
SQUASHFS error: Unable to read data cache entry [4480662]
SQUASHFS error: Unable to read page, block 4480662, size 4514
SQUASHFS error: Unable to read data cache entry [4480662]
SQUASHFS error: Unable to read page, block 4480662, size 4514
VFS: busy inodes on changed media or resized disk sr1

So the underlying cause here is a SATA error. This could either be some kernel error, or a hardware problem caused by a direct RHEL-6 hitting the hardware harder / with different timing then an install into a VM under RHEL-5.

I'm moving this over to the kernel, hopefully the kernel people can
tell us what is going on based on the SATA error messages.
Comment 10 Eric Sandeen 2010-05-18 09:40:00 EDT
Thanks Hans, sorry, I didn't see the kernel messages.

If this happens on 3 different snapshots, I guess it's not likely to be bad media...
Comment 11 RHEL Product and Program Management 2010-06-07 12:07:11 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 12 John Villalovos 2010-06-09 10:38:47 EDT
Sibai,

Does the same thing happen using a Fedora 13 install DVD?
Comment 13 David Milburn 2010-06-09 11:14:16 EDT
Also, please try a different CD-ROM drive, if I am not mistaken there
have been some timeout problems (upstream and rhel) with this particular 
model.

scsi 8:0:0:0: CD-ROM            TEAC     DV-28E-V         1.AB PQ: 0 ANSI: 5
Comment 14 sibai.li 2010-06-09 12:15:09 EDT
never work on Fedora 13
Comment 15 John Villalovos 2010-06-09 12:27:51 EDT
Sibai,

Sounds like it is likely an issue with the DVD-ROM drive.

Do you have more information on what kind of system this is?  SuperMicro is kind of a generic system identifier.

Is this a Tylersburg-EP?  What kind of processors?  Is it an Intel SDV?  S3EA2/S3EB1?

But in the end, it sounds like it is probably an issue with the DVD-ROM drive if you are seeing the same issue with Fedora 13.  You might see if there is a firmware update available for the DVD-ROM driver and the system BIOS.
Comment 16 John Villalovos 2010-06-21 11:34:40 EDT
Sibai,

Any status update on this?  Can we close this bug?
Comment 17 Ronald Pacheco 2010-07-06 21:35:00 EDT
What is the status here?
Comment 18 John Villalovos 2010-07-13 21:28:04 EDT
Closing since no updates from reporter.

Note You need to log in before you can comment on or make changes to this bug.